using System;

internal sealed class Delegate647 : MulticastDelegate
{
	public extern void Invoke(object object_0, bool bool_0);

	public static void smethod_0(object object_0, bool bool_0, Delegate647 delegate647_1)
	{
		delegate647_1(object_0, bool_0);
	}

	public extern Delegate647(object object_0, IntPtr intptr_0);

	static Delegate647()
	{
		Class10.smethod_13(typeof(Delegate647).TypeHandle);
	}

	internal static Delegate647 delegate647_0;
}
